CentOS 5 / 6:libpng(CESA-2012:0407)

medium Nessus プラグイン ID 58404

概要

リモート CentOS ホストに1つ以上のセキュリティ更新がありません。

説明

1 つのセキュリティ問題を修正する更新済み libpng パッケージが Red Hat Enterprise Linux 5、6 で現在利用可能です。

Red Hat セキュリティレスポンスチームは、この更新のセキュリティ上の影響は中程度であると評価しています。詳細な重要度評価を示す Common Vulnerability Scoring System(CVSS)ベーススコアは「参照」セクションの CVE リンクで入手できます。

libpng パッケージには、ポータブル・ネットワーク・グラフィックス(PNG)の画像フォーマットファイルを作成し、操作するための関数のライブラリが収納されています。

libpng が PNG イメージファイルの中にある圧縮チャンクを処理する方法に、ヒープベースのバッファオーバーフローの欠陥が見つかりました。攻撃者が特別に細工された PNG イメージファイルを作成し、このファイルを開くと、libpng を使用するアプリケーションがクラッシュを引き起こしたり、アプリケーションを実行しているユーザーの権限で任意のコードを実行する可能性があります。(CVE-2011-3045)

libpng のユーザーは、これらの更新パッケージにアップグレードし、この問題を修正する必要があります。Red Hat Enterprise Linux 5 には、バックポートされたパッチが含まれます。Red Hat Enterprise Linux 6 では、libpng をバージョン 1.2.48 にアップグレードしてください。更新を有効にするには、libpng を使用している実行中のすべてのアプリケーションを、再起動する必要があります。

ソリューション

影響を受けた libpng パッケージを更新してください。

参考資料

http://www.nessus.org/u?43f7b64e

http://www.nessus.org/u?f930ee5c

プラグインの詳細

深刻度: Medium

ID: 58404

ファイル名: centos_RHSA-2012-0407.nasl

バージョン: 1.14

タイプ: local

エージェント: unix

公開日: 2012/3/21

更新日: 2021/1/4

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

基本値: 6.8

現状値: 5

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS スコアのソース: CVE-2011-3045

脆弱性情報

CPE: p-cpe:/a:centos:centos:libpng, p-cpe:/a:centos:centos:libpng-devel, cpe:/o:centos:centos:6, p-cpe:/a:centos:centos:libpng-static, cpe:/o:centos:centos:5

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2012/3/20

脆弱性公開日: 2012/3/22

参照情報

CVE: CVE-2011-3045

BID: 52453

RHSA: 2012:0407